%define section  free
%define gcj_support 1
%define jbossdir %{_localstatedir}/jboss

Summary:        Database statement interceptor for Java
Name:           p6spy
Version:        1.3
Release:        %mkrel 2.1
Epoch:          0
Group:          Development/Java
License:        P6Spy Software License
URL:            http://p6spy.sourceforge.net/
Source0:        http://download.sourceforge.net/p6spy/p6spy-src.jar
Patch1:         %{name}-javadoc-crosslink.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  regexp
BuildRequires:  gnu.regexp
BuildRequires:  log4j
BuildRequires:  jdbc-stdext
BuildRequires:  log4j-javadoc
BuildRequires:  java-javadoc
Requires:       regexp
Requires:       gnu.regexp
Requires:       log4j
Requires:       jdbc-stdext
# libgcj aot-compiled native libraries
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 0:1.0.31
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%endif

%description
P6Spy is an open source framework for applications that intercept and
optionally modify database statements.

%package        javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.

%package        manual
Summary:        Manual for %{name}
Group:          Development/Java

%description    manual
%{summary}.


%prep
%setup -q -c
%patch1 -p0
rm -rf javadocs documentation/Templates documentation/_notes com/p6spy/management/jboss
mkdir lib


%build
CLASSPATH=%(build-classpath regexp gnu.regexp log4j jdbc-stdext)
export CLASSPATH
# Tests would need a DB to test against :(
%ant \
  -Dbuild.sysclasspath=last \
  -Dlog4j.javadoc=%{_javadocdir}/log4j \
  -Dj2se.javadoc=%{_javadocdir}/java \
  clean release


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/p6spy.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# webapp
# TODO: dist/p6spy.war to tomcat/jboss+jetty webapps dir
# TODO: make %{_javadir}/p6spy.jar available in tomcat/jboss+jetty classpath

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%{__perl} -pi -e 's/\r$//g' license.txt spy.properties documentation/*.htm


%clean
rm -rf $RPM_BUILD_ROOT


%if %{gcj_support}
%post
%{_bindir}/rebuild-gcj-db


%postun
%{_bindir}/rebuild-gcj-db
%endif


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc license.txt spy.properties
%{_javadir}/*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc documentation/*


%changelog
* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:1.3-2.1mdk
- release

* Fri Jul 29 2005 Gary Benson <gbenson@redhat.com> 0:1.3-2jpp_3fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm.

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> 0:1.3-2jpp_2fc
- BC-compile.

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:1.3-2jpp_1fc
- Build into Fedora.

* Fri Oct 15 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-2jpp_1rh
- First Red Hat build

* Wed Aug 25 2004 Fernando Nasser <fnasser@redhat.com>  - 0:1.3-2jpp
- Rebuild with Ant 1.6.2

* Sat Jan 10 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3-1jpp
- Update to 1.3.
- New style versionless javadoc symlinking.
- Crosslink with local J2SE javadocs.

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-1jpp
- Update to 1.2.
- JPackage 1.5'ified.

* Sat Jan 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.0.4-0.beta.1jpp
- Update to 1.0.4 beta.

* Thu Oct 10 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.beta.2jpp
- Author released a new source jar with (package only) bugs fixed, using it.
  The software version was not bumped though, brr.

* Mon Oct  7 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.beta.1jpp
- First JPackage release.
